# common_constants.py
# This module defines constants used as keys throughout the application to maintain a consistent reference
# for data structures related to workflow management, chat interactions, context storage, memory operations,
# node processing, and temporal inference functionalities.

WORKFLOW_NAME = "workflow_name"

MEMORYSCOPE_CONTEXT = "memoryscope_context"

RESULT = "result"

MEMORIES = "memories"

CHAT_MESSAGES = "chat_messages"

CHAT_MESSAGES_SCATTER = "chat_messages_scatter"

CHAT_KWARGS = "chat_kwargs"

USER_NAME = "user_name"

TARGET_NAME = "target_name"

MEMORY_MANAGER = "memory_manager"

QUERY_WITH_TS = "query_with_ts"

RETRIEVE_MEMORY_NODES = "retrieve_memory_nodes"

RANKED_MEMORY_NODES = "ranked_memory_nodes"

NOT_REFLECTED_NODES = "not_reflected_nodes"

NOT_UPDATED_NODES = "not_updated_nodes"

EXTRACT_TIME_DICT = "extract_time_dict"

NEW_OBS_NODES = "new_obs_nodes"

NEW_OBS_WITH_TIME_NODES = "new_obs_with_time_nodes"

INSIGHT_NODES = "insight_nodes"

TODAY_NODES = "today_nodes"

MERGE_OBS_NODES = "merge_obs_nodes"

TIME_INFER = "time_infer"
